Package com.sun.jna.platform.win32

# Class Sspi.SecPkgContext_NegotiationInfo

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Sspi.SecPkgContext_NegotiationInfo

Direct Known Subclasses:
  `Sspi.SecPkgContext_NegotiationInfo.ByReference`

Enclosing interface:
  Sspi

@FieldOrder({"PackageInfo","NegotiationState"}) public static class Sspi.SecPkgContext_NegotiationInfo extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Sspi.SecPkgContext_NegotiationInfo.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `NegotiationState`
  Time at which the context will expire.
  `Sspi.PSecPkgInfo`
  `PackageInfo`
  Time at which the context was established.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecPkgContext_NegotiationInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `free()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PackageInfo

    public Sspi.PSecPkgInfo PackageInfo
    Time at which the context was established.

  - ### NegotiationState

    public int NegotiationState
    Time at which the context will expire.

- ## Constructor Details

  - ### SecPkgContext_NegotiationInfo

    public SecPkgContext_NegotiationInfo()

- ## Method Details

  - ### free

    public void free()